libgphoto2 photo camera library (libgphoto2) API: gphoto2/gphoto2-result.h File Reference

libgphoto2 photo camera library (libgphoto2) API 2.5.34

Loading...
Searching...
No Matches
gphoto2-result.h File Reference
`#include <gphoto2/gphoto2-port-result.h>`
Include dependency graph for gphoto2-result.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | GP_ERROR_CORRUPTED_DATA -102 /* Corrupted data */
| Corrupted data received.
#define | GP_ERROR_FILE_EXISTS -103
| File already exists.
#define | GP_ERROR_MODEL_NOT_FOUND -105
| Specified camera model was not found.
#define | GP_ERROR_DIRECTORY_NOT_FOUND -107
| Specified directory was not found.
#define | GP_ERROR_FILE_NOT_FOUND -108
| Specified file was not found.
#define | GP_ERROR_DIRECTORY_EXISTS -109
| Specified directory already exists.
#define | GP_ERROR_CAMERA_BUSY -110
| The camera is already busy.
#define | GP_ERROR_PATH_NOT_ABSOLUTE -111
| Path is not absolute.
#define | GP_ERROR_CANCEL -112
| Cancellation successful.
#define | GP_ERROR_CAMERA_ERROR -113
| Unspecified camera error.
#define | GP_ERROR_OS_FAILURE -114
| Unspecified failure of the operating system.
#define | GP_ERROR_NO_SPACE -115
| Not enough space.

## Functions
const char * | gp_result_as_string (int result)
| Translate a gphoto error code into a localized string.

## Detailed Description

Author
  Copyright 2000 Scott Fritzinger

Note
  This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
  You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

## Macro Definition Documentation

## ◆ GP_ERROR_CAMERA_BUSY

#define GP_ERROR_CAMERA_BUSY -110

The camera is already busy.

Camera I/O or a command is in progress.

## ◆ GP_ERROR_CAMERA_ERROR

#define GP_ERROR_CAMERA_ERROR -113

Unspecified camera error.

The camera reported some kind of error. This can be either a photographic error, such as failure to autofocus, underexposure, or violating storage permission, anything else that stops the camera from performing the operation.

## ◆ GP_ERROR_CANCEL

#define GP_ERROR_CANCEL -112

Cancellation successful.

A cancellation requestion by the frontend via progress callback and GP_CONTEXT_FEEDBACK_CANCEL was successful and the transfer has been aborted.

## ◆ GP_ERROR_CORRUPTED_DATA

#define GP_ERROR_CORRUPTED_DATA -102 /* Corrupted data */

Corrupted data received.

Data is corrupt. This error is reported by camera drivers if corrupted data has been received that can not be automatically handled. Normally, drivers will do everything possible to automatically recover from this error.

Referenced by gp_filesystem_get_file().

## ◆ GP_ERROR_DIRECTORY_EXISTS

#define GP_ERROR_DIRECTORY_EXISTS -109

Specified directory already exists.

The specified directory already exists. This error is reported for example when the user wants to create a directory that already exists.

Referenced by gp_filesystem_remove_dir().

## ◆ GP_ERROR_DIRECTORY_NOT_FOUND

#define GP_ERROR_DIRECTORY_NOT_FOUND -107

Specified directory was not found.

The specified directory could not be found. This error is reported when the user specified a directory that is non-existent.

Referenced by gp_camera_file_get(), gp_camera_file_read(), gp_filesystem_count(), gp_filesystem_delete_all(), gp_filesystem_list_files(), gp_filesystem_list_folders(), gp_filesystem_make_dir(), gp_filesystem_name(), gp_filesystem_number(), gp_filesystem_put_file(), and gp_filesystem_remove_dir().

## ◆ GP_ERROR_FILE_EXISTS

#define GP_ERROR_FILE_EXISTS -103

File already exists.

An operation failed because a file existed. This error is reported for example when the user tries to create a file that already exists.

Referenced by gp_filesystem_remove_dir().

## ◆ GP_ERROR_FILE_NOT_FOUND

#define GP_ERROR_FILE_NOT_FOUND -108

Specified file was not found.

The specified file could not be found. This error is reported when the user wants to access a file that is non-existent.

Referenced by gp_camera_file_get(), gp_camera_file_read(), gp_camera_init(), gp_filesystem_get_folder(), gp_filesystem_name(), and gp_filesystem_number().

## ◆ GP_ERROR_MODEL_NOT_FOUND

#define GP_ERROR_MODEL_NOT_FOUND -105

Specified camera model was not found.

The specified model could not be found. This error is reported when the user specified a model that does not seem to be supported by any driver.

Referenced by gp_abilities_list_lookup_model(), and gp_camera_init().

## ◆ GP_ERROR_NO_SPACE

#define GP_ERROR_NO_SPACE -115

Not enough space.

There was not enough free space when uploading a file.

## ◆ GP_ERROR_OS_FAILURE

#define GP_ERROR_OS_FAILURE -114

Unspecified failure of the operating system.

There was some sort of OS error in communicating with the camera, e.g. lack of permission for an operation.

## ◆ GP_ERROR_PATH_NOT_ABSOLUTE

#define GP_ERROR_PATH_NOT_ABSOLUTE -111

Path is not absolute.

The specified path is not absolute. This error is reported when the user specifies paths that are not absolute, i.e. paths like "path/to/directory". As a rule of thumb, in gphoto2, there is nothing like relative paths.

## Function Documentation

## ◆ gp_result_as_string()

const char * gp_result_as_string | ( | int | result | ) |

Translate a gphoto error code into a localized string.

Parameters

  result | a gphoto2 error code

Translates a gphoto2 error code into a human readable string. If the error occurred in combination with a camera, gp_camera_get_result_as_string() should be used instead.

Returns
  A string representation of a gphoto2 error code

References gp_port_result_as_string().

Referenced by gp_filesystem_delete_all(), and gp_filesystem_get_file().